using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Scraper.Storage;
using skyscraper8.Skyscraper.Scraper.Storage;

namespace skyscraper5.Skyscraper.Scraper
{
    public class SkyscraperContextFactory
    {
        private SkyscraperContextFactory()
        {

        }

        public static ISkyscraperContext CreateSkyscraper(DataStorage dataStorage,ObjectStorage objectStorage)
        {
            TsContext tsContext = new TsContext();
            SkyscraperContext result = new SkyscraperContext(tsContext, dataStorage,objectStorage);
            return result;
        }
    }
}
